/*
 * packetmodeller/init.h
 *
 * Copyright (C) 2008-2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __INIT_H
#define __INIT_H

#include "typedef.h"

/** Public Functions */

/**
 *  Parse command line options
 */
void
pars_opts(int argc, char *argv[]);

/**
 *  Initialize node variables
 */
int
init_node();

/**
 *  Register the node at the WlanModel
 */
void
register_node();

/**
 *  Initialize file descriptors
 */
void
init_fds();

#endif
