/*
 * packetmodeller/logger.h
 *
 * Copyright (C) 2008-2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __LOGGER_H
#define __LOGGER_H

#include "message.h"
#include "typedef.h"

/** Public Functions */

/**
 * Print raw data in hex to stdout
 */
void
dump_data(char *data, int len);

/**
 * Print message dump to stdout
 */
void
dump_msg(const char *pkt, int pkt_len);

/**
 * Ignore debug stub
 * -> set debug function pointer to this when you want to ignore debug messages
 */
int
ignore_dbg(const char* text, ...);

#endif
