#!/bin/bash
# Compile script for WlanModel

INET_DIR="/opt/INET-20061020"
make clean
opp_makemake -f \
            -b "${INET_DIR}" \
            -c "${INET_DIR}"/inetconfig \
            -I"${INET_DIR}"/Base \
            -I"${INET_DIR}"/Mobility \
            -I"${INET_DIR}"/Network/ARP \
            -I"${INET_DIR}"/Network/Contract \
            -I"${INET_DIR}"/Network/ICMPv6 \
            -I"${INET_DIR}"/Network/IPv4 \
            -I"${INET_DIR}"/Network/IPv6 \
            -I"${INET_DIR}"/Network/MPLS \
            -I"${INET_DIR}"/Network/RSVP_TE \
            -I"${INET_DIR}"/Network/TED \
            -I"${INET_DIR}"/NetworkInterfaces/Contract \
            -I"${INET_DIR}"/NetworkInterfaces/Ethernet \
            -I"${INET_DIR}"/NetworkInterfaces/Ieee80211 \
            -I"${INET_DIR}"/NetworkInterfaces/Ieee80211/Mac \
            -I"${INET_DIR}"/NetworkInterfaces/Ieee80211/Mgmt \
            -I"${INET_DIR}"/NetworkInterfaces/MFCore \
            -I"${INET_DIR}"/NetworkInterfaces/Radio \
            -I"${INET_DIR}"/Nodes/Adhoc \
            -I"${INET_DIR}"/Nodes/INET \
            -I"${INET_DIR}"/Transport/Contract \
            -I"${INET_DIR}"/Transport/TCP \
            -I"${INET_DIR}"/Util \
            -I"${INET_DIR}"/World \
            -w \
            -u Cmdenv
make -d
